<?php
require_once(__FILE__ . "/../" . "include.php");

class DatabaseLibrary {
  
  function convertField($object) {
    $propertyVars = get_object_vars($object);
    foreach ($propertyVars as $propertyName => $propertyValue) {
      if (preg_match('/\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2}/', $propertyValue)) {
        $year = substr($propertyValue, 0, 4);
        $month = substr($propertyValue, 5, 2);
        $day = substr($propertyValue, 8, 2);
        $hour = substr($propertyValue, 11, 2);
        $minuite = substr($propertyValue, 14, 2);
        $second = substr($propertyValue, 17, 2);
        $object->$propertyName = mktime($hour, $minuite, $second, $month, $day, $year);
      }
      else if (preg_match('/\d{4}\d{2}\d{2}\d{2}\d{2}\d{2}/', $propertyValue)) {
        $year = substr($propertyValue, 0, 4);
        $month = substr($propertyValue, 4, 2);
        $day = substr($propertyValue, 6, 2);
        $hour = substr($propertyValue, 8, 2);
        $minuite = substr($propertyValue, 10, 2);
        $second = substr($propertyValue, 12, 2);
        $object->$propertyName = mktime($hour, $minuite, $second, $month, $day, $year);
      }
    }
    return $object;
  }
}
?>